//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	// 加载草稿数据
	$(".grade").each(function(i, o) {
		var csc_grade = localStorage.getItem("csc_grade" + i);
		//如果缓存中有数据，则加载出来
		if(csc_grade != null) {
			$(o).val(csc_grade);
			calculateGrade(o);
		}
	})

	var userInfo = JSON.parse(getLoginUser());
	var station = userInfo.user_org_station;
	findChildDep(station, 3);

	//点击部门显示班长
	$(".work_user_box").on("tap", "span", function() {
		var dep_id = $(this).data("id");
		console.log(dep_id)
		findRole(3, dep_id);
		findCheckedUser(dep_id);
	})

	//车道展示
	findLane();

	//车道加号
	$('.mui-content').on('tap', '#add_otheepl', function() {
		$(this).parent('.record_msg').siblings('.otherInput').toggle();
	})

	//修改总分
	$(".grade").on("change", function() {
		calculateGrade(this);
	})

	//提交
	$(".submit_btn").on("tap", function() {
		console.log("提交")
		submit();
	})
});

//查询下级部门
function findChildDep(id, dep_type) {
	var _url = getHostIP() + 'tsis-api/dept/showSonDepartmentAndUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		id: id,
		dep_type: dep_type,
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var dept = data.data.dept
			var work_user_box = "";
			//			var reg = new RegExp("后勤");
			for(var i in dept) {
				//				if(!reg.test(dept[i].dep_name)) {
				work_user_box += '<span data-id="' + dept[i].id + '">' + dept[i].dep_name + '</span>'
				//				}
			}
			$(".work_user_box").html(work_user_box);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//查询班长
function findRole(role_id, dep_id) {
	var _url = getHostIP() + 'tsis-api/user/findByRole';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		role_id: role_id,
		dep_id: dep_id,
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var name = data.data.user_realname;
			console.log(data.data.id)
			$("#role_name").html(name);
			$("#role_name").attr("data-id", data.data.id);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//查询班下面的人
function findCheckedUser(dep_id) {
	var _url = getHostIP() + 'tsis-api/user/FindDeptUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		id: dep_id
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var userData = []
			var datap = data.data;
			for(var i in datap) {
				userData[i] = {
					"id": datap[i].id,
					"text": datap[i].user_realname,
				}
			}
			showCheckedUser(userData);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//显示数据
function showCheckedUser(data) {
	//被稽查人员
	$('#checked_user').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: false,
		animate: true,
		labelPosition: 'top',
		data: data,
		onCheck: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		}
	});
}

//查询车道号
function findLane() {
	var _url = getHostIP() + "tsis-api/lane/getLaneForStation";
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		success: function(data) {
			console.log(JSON.stringify(data));
			var p = data.data;
			var datap = [];
			for(var i in p) {
				datap[i] = {
					"id": p[i].id,
					"text": p[i].lane_num,
				}
			}
			console.log(JSON.stringify(datap))
			showLane(datap);
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}

function showLane(data) {
	$('#lane').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: false,
		animate: true,
		labelPosition: 'top',
		data: data,
		onCheck: function(node, checked) {
			//让全选不显示
			$("#lane").combotree("setText", $("#lane").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#lane").combotree("setText", $("#lane").combobox("getText").toString().replace("全选,", ""));
		},
		onChange: function(node, checked) {
			$(".lane_name").val($("#lane").combotree("getText"));
		}
	});
}

//提交
function submit() {
	//稽查时间
	var checkTime = $("#check_time").val().replace(/-/g, '/');
	var check_time = new Date(checkTime).getTime() / 1000;
	console.log(check_time);

	//稽查班别
	var duty_type = $(".work_user_box").find(".active").text();
	console.log(duty_type);

	//当班班长id
	var duty_user_id = $("#role_name").attr("data-id");
	console.log(duty_user_id);

	//被稽查人
	var check_user_id = $("#checked_user").combotree("getValue");
	console.log(check_user_id);

	//车道号
	var roadway = $(".lane_name").val();
	console.log(roadway);

	var grade = [];
	$(".grade").each(function(i, o) {
		var score = $(o).val();
		if(score != "") {
			grade[i] = -$(o).val();
		} else {
			grade[i] = 0;
		}
	})
	console.log(grade);
	submitCivilized(check_time, duty_type, duty_user_id, roadway, check_user_id, grade)
}

//提交数据
function submitCivilized(check_time, duty_type, duty_user_id, roadway, check_user_id, grade) {
	console.log(grade)
	var _url = getHostIP() + "tsis-api/checkCivilized/checkCivilizedCheck";
	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		data: {
			check_time: check_time,
			duty_type: duty_type,
			duty_user_id: duty_user_id,
			roadway: roadway,
			check_user_id: check_user_id,
			appearance: grade[0],
			raise_the_hand: grade[1],
			nod: grade[2],
			smile: grade[3],
			salute_with_the_eyes: grade[4],
			wording: grade[5],
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast("提交成功");
				for(var i = 0; i < 6; i++) {
					DeleteStorage('csc_grade' + i);
				}
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//修改总分
function calculateGrade(obj) {
	//当前填写的分数
	var nowGrade = Number($(obj).val());
	console.log(nowGrade)

	//最高能填的分数
	var maxGrade = Number($(obj).siblings("span").find("e").text());
	console.log(maxGrade);

	if(nowGrade > maxGrade) {
		$(obj).val(maxGrade);
		mui.toast("填值不能超过最大值");
	}

	var grade = Number(0);
	$(".grade").each(function(i, o) {
		var score = Number($(o).val());
		if(score != "") {
			grade += score;
		}
	})
	console.log(grade);
	$(".hj_grade").text(100 - grade);
}