//初始化
mui.init({
	pullRefresh: {
		container: ".mui-content", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			color: '#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
			height: '50px', //可选,默认50px.下拉刷新控件的高度,
			range: '100px', //可选 默认100px,控件可下拉拖拽的范围
			offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
			auto: false, //可选,默认false.首次加载自动上拉刷新一次
			callback: showdown //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: false, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: showup //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

var pageNum = 0;
var rolecode = 0;

function showdown() {
	console.log("下拉刷新"); //这里用来写逻辑，从服务器上获取最新数据并更新
	show(rolecode, 0, 0, 5);
	show(rolecode, 1, 0, 5);
	pageNum = 0;
	mui('.mui-content').pullRefresh().endPulldownToRefresh(); //下拉刷新结束之后。回到顶部
}

function showup() {
	console.log("上拉加载"); //这里用来写逻辑，从服务器上获取最新数据并更新
	pageNum++;
	console.log("查询第" + pageNum + "页");
	show(rolecode, 0, pageNum, 5);
	show(rolecode, 1, pageNum, 5);
	this.endPullupToRefresh();
}

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[emergency_response_list.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[emergency_response_list.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//获取用户权限
	var userAuth = JSON.parse(getUserAuth());
	console.log("用户权限：" + getUserAuth());
	rolecode = userAuth.rolecode;

	show(rolecode, 0, 0, 5);
	show(rolecode, 1, 0, 5);
});

//查询进行中的和已完成的
function show(rolecode, is_end, page, sort) {
	var _url = getHostIP() + 'tsis-api/emergency/showEmergencyList';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			rolecode: rolecode,
			is_end: is_end,
			page: page,
			sort: sort,
		},
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				var datap = data.data;
				var html = "";
				for(var i in datap) {
					html += '<li class="mt10">'
					if(is_end == 0) {
						html += '<a href="emergency_underway.html?id=' + datap[i].id + '">'
					} else {
						html += '<a href="emergency_finish.html?id=' + datap[i].id + '">'
					}

					html += '<div class="remind_box">' +
						'<div class="common_img">'
					if(is_end == 0) {
						html += '<img src="../images/others/xiangyingguocheng.png" alt="" />'
					} else {
						html += '<img src="../images/others/yixiangying.png" alt="" />'
					}

					html += '</div>' +
						'<div class="remind_text">' +
						'<div>' + datap[i].user_realname + '发起应急</div>' +
						'<p class="hidden_msg">应急类型：' + datap[i].emergency_matter + '</p>' +
						'<label>' + getMydate(datap[i].create_time * 1000) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'<li>'
				}
				if(page == 0) {
					if(is_end == 0) {
						$("#item1 ul").html(html);
					} else {
						$("#item2 ul").html(html);
					}
				} else {
					if(is_end == 0) {
						$("#item1 ul").append(html);
					} else {
						$("#item2 ul").append(html);
					}
				}

			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}