//初始化
mui.init({
	pullRefresh: {
		container: ".mui-content", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			color: '#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
			height: '50px', //可选,默认50px.下拉刷新控件的高度,
			range: '100px', //可选 默认100px,控件可下拉拖拽的范围
			offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
			auto: false, //可选,默认false.首次加载自动上拉刷新一次
			callback: showdown //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: false, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: showup //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});
var pageNum = 0;

function showdown() {
	if(netflag.net == true) {
		console.log("下拉刷新"); //这里用来写逻辑，从服务器上获取最新数据并更新
		var type = getQueryString("type");
		pageNum = 0;
		if(type == 1) {
			findSceneDutyrecords(0);
		}
		if(type == 2) {
			findAllSceneEventAbnormals(0);
		}
		if(type == 3) {
			findAllSceneEventEmergencys(0);
		}
		if(type == 4) {
			findAllSceneDeviceRegs(0);
		}
		mui('.mui-content').pullRefresh().endPulldownToRefresh(); //下拉刷新结束之后。回到顶部
	} else {
		mui.toast(nonet);
		mui('.mui-content').pullRefresh().endPulldownToRefresh();
	}
}

function showup() {
	if(netflag.net == true) {
		console.log("上拉加载"); //这里用来写逻辑，从服务器上获取最新数据并更新
		var type = getQueryString("type");

		pageNum++;
		console.log("加载第" + pageNum + "页")
		if(type == 1) {
			findSceneDutyrecords(pageNum);
		}
		if(type == 2) {
			findAllSceneEventAbnormals(pageNum);
		}
		if(type == 3) {
			findAllSceneEventEmergencys(pageNum);
		}
		if(type == 4) {
			findAllSceneDeviceRegs(pageNum);
		}
		mui('.mui-content').pullRefresh().endPullupToRefresh();
	} else {
		mui.toast(nonet);
		mui('.mui-content').pullRefresh().endPullupToRefresh();
	}
}
var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	var type = getQueryString("type");
	//加载本地存储的数据
	getLocalStorage(type);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		if(type == 1) {
			findSceneDutyrecords(0);
		}
		if(type == 2) {
			findAllSceneEventAbnormals(0)
		}
		if(type == 3) {
			findAllSceneEventEmergencys(0)
		}
		if(type == 4) {
			findAllSceneDeviceRegs(0)
		}
	}

});

//加载本地数据
function getLocalStorage(type) {
	var data;
	if(type == 1) {
		data = mystorage.get('dutyrecordshistory');
		if(data != null) {
			showDutyrecords(0, data)
		}
	}
	if(type == 2) {
		data = mystorage.get('abnormalshistory');
		if(data != null) {
			showAbnormals(0, data);
		}
	}
	if(type == 4) {
		data = mystorage.get('sceneDeviceRegshistory');
		if(data != null) {
			showSceneDeviceRegs(0, data);
		}
	}
}

function findAllSceneEventAbnormals(page) {
	$('#title').text('特殊事件记录历史');
	var page = page;
	var _url = getHostIP() + 'tsis-api/event/findAllSceneEventAbnormals';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			page: page,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				showAbnormals(page, data.data);
				if(page == 0) {
					mystorage.set("abnormalshistory", data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//显示特殊事件
function showAbnormals(page, data) {
	var list = '';
	for(var i in data) {
		var p = data[i];
		console.log(JSON.stringify(p));

		list += '<li class="mt10">' +
			'<a href="special_check_detail.html?id=' + p.id + '&type=0&mark=2">' +
			'<div class="remind_box">' +
			'<div class="common_img">' +
			'<img src="../images/others/pic.png" alt="" />' +
			'</div>' +
			'<div class="remind_text">' +
			'<div class="hidden_msg" style="font-size:17px;">' + p.duty_user + '班长登记特殊事件</div>' +
			'<p class="hidden_msg" style="font-size:15px;">' + p.event_dispose + '</p><label>' + p.time + '</label>' +
			'</div></a><div class="clearfix"></div></li>'
	}
	if(page > 0) {
		$(".remind_list_content").append(list);
	} else {
		$(".remind_list_content").html(list);
	}
}

function findSceneDutyrecords(page) {
	$('#title').text('当班记录历史');
	var page = page;
	var _url = getHostIP() + 'tsis-api/dutyrecords/findSceneDutyrecords';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			page: page,
		},
		success: function(data) {
			console.log(JSON.stringify(data.data));
			if(data.code == 200) {
				showDutyrecords(page, data.data);
				if(page == 0) {
					mystorage.set("dutyrecordshistory", data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//显示当班记录
function showDutyrecords(page, data) {
	var list = '';
	for(var i in data) {
		var p = data[i];
		console.log(JSON.stringify(p));
		list += '<li class="mt10">' +
			'<a href="work_check_detail.html?id=' + p.id + '&mark=2">' +
			'<div class="remind_box">' +
			'<div class="common_img">' +
			'<img src="../images/others/pic.png" alt="" />' +
			'</div>' +
			'<div class="remind_text">' +
			'<div class="hidden_msg" style="font-size:17px;">' + p.duty_pre_user + '班长发起当班记录</div>'
		if(p.duty_work != null && p.duty_work != "") {
			list += '<p class="hidden_msg" style="font-size:15px;">' + p.duty_work + '</p>'
		}
		list += '<label>' + p.duty_start_time + '</label>' +
			'</div>' +
			'</a>' +
			'<div class="clearfix"></div>' +
			'</li>'
	}
	if(page > 0) {
		$(".remind_list_content").append(list);
	} else {
		$(".remind_list_content").html(list);
	}
}

function findAllSceneDeviceRegs(page) {
	$('#title').text('设施巡检记录历史');
	var page = page;
	var _url = getHostIP() + 'tsis-api/device/findAllSceneDeviceRegs';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			page: page,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				showSceneDeviceRegs(page, data.data);
				if(page == 0) {
					mystorage.set("sceneDeviceRegshistory", data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//显示设施巡检
function showSceneDeviceRegs(page, data) {
	var list = '';
	for(var i in data) {
		var p = data[i];
		console.log(JSON.stringify(p));
		list += '<li class="mt10">' +
			'<a href="equipment_check_detail.html?id=' + p.id + '&mark=2">' +
			'<div class="remind_box">' +
			'<div class="common_img">' +
			'<img src="../images/others/pic.png" alt="" />' +
			'</div>' +
			'<div class="remind_text">' +
			'<div class="hidden_msg" style="font-size:17px;">' + p.duty_user + '班长登记设施巡检</div>' +
			'<p class="hidden_msg" style="font-size:15px;">' + p.location + p.reg_items + '</p><label>' + p.time + '</label>' +
			'</div></a><div class="clearfix"></div></li>'
	}
	if(page > 0) {
		$(".remind_list_content").append(list);
	} else {
		$(".remind_list_content").html(list);
	}
}

function getQueryString(name) {
	var result = window.location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
	if(result == null || result.length < 1) {
		return "";
	}
	return decodeURI(result[1]);
}