//初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview  
		var list = plus.webview.currentWebview().opener();
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑  
		return true;
	},
	pullRefresh: {
		container: ".mui-content", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			color: '#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
			height: '50px', //可选,默认50px.下拉刷新控件的高度,
			range: '100px', //可选 默认100px,控件可下拉拖拽的范围
			offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
			auto: false, //可选,默认false.首次加载自动上拉刷新一次
			callback: showdown //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: false, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: showup //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	},
});

var pageNum = 0;

function showdown() {
	if(netflag.net == true) {
		console.log("下拉刷新"); //这里用来写逻辑，从服务器上获取最新数据并更新
		showAbnormals(0, 0);
		showAbnormals(1, 0);
		pageNum = 0;
		mui('.mui-content').pullRefresh().endPulldownToRefresh(); //下拉刷新结束之后。回到顶部
	} else {
		mui.toast(nonet);
		mui('.mui-content').pullRefresh().endPulldownToRefresh();
	}
}

function showup() {
	if(netflag.net == true) {
		console.log("上拉加载"); //这里用来写逻辑，从服务器上获取最新数据并更新
		pageNum++;
		console.log("加载第" + pageNum + "页")
		showAbnormals(0, pageNum);
		showAbnormals(1, pageNum);
		this.endPullupToRefresh();
	} else {
		mui.toast(nonet);
		mui('.mui-content').pullRefresh().endPullupToRefresh();
	}
}

var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//加载本地存储的数据
	getLocalStorage();
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//显示列表
		showAbnormals(0, 0);
		showAbnormals(1, 0);
	}
});

//显示收费异常
function showAbnormals(mark, page) {
	var _url = getHostIP() + 'tsis-api/event/showSceneEventAbnormals';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		data: {
			mark: mark,
			page: page,
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				showList(mark, page, data.data)
				if(page == 0) {
					mystorage.set("abnormallist" + mark, data.data);
				}
			} else if(data.code == 40001) {
				mui.toast("参数错误");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//加载本地数据
function getLocalStorage() {
	var data = mystorage.get('abnormallist0');
	if(data != null) {
		showList(0, 0, data);
	}
	data = mystorage.get('abnormallist1');
	if(data != null) {
		showList(1, 0, data);
	}
}

//显示列表
function showList(mark, page, data) {
	if(data.length == 0) {
		return;
	}
	if(mark == 0) {
		var abnormals1 = "";
		for(var i in data) {
			var p = data[i];
			var abnormals = '<li  class="mt10 abnormals1">' +
				'<a href="special_check_detail.html?id=' + p.id1 + '&mark=' + mark + '&type=0">' +
				'<div class="remind_box">' +
				'<div class="common_img">' +
				'<img src="../images/others/waitshen.png" alt="" />' +
				'</div>' +
				'<div class="remind_text">' +
				'<div>' + p.user_realname + '登记特殊事件</div>'
			if(p.event == null) {
				abnormals += '<p class="hidden_msg">特殊事件为：无</p>'
			} else {
				abnormals += '<p class="hidden_msg">特殊事件为：' + p.content + '</p>'
			}
			abnormals += '<label>' + getMydate4(p.create_time) + '</label>' +
				'</div>' +
				'</div>' +
				'</a>' +
				'<div class="clearfix"></div>' +
				'</li>'
			abnormals1 += abnormals;
		}
		if(page > 0) {
			$('#item1 .content1').append(abnormals1);
		} else {
			$('#item1 .content1').html(abnormals1);
		}
	} else if(mark == 1) {
		var abnormals2 = "";
		for(var i in data) {
			var p = data[i];
			var abnormals = '<li  class="mt10 abnormals2">' +
				'<a href="special_check_detail.html?id=' + p.id1 + '&mark=' + mark + '&type=0">' +
				'<div class="remind_box">' +
				'<div class="common_img">' +
				'<img src="../images/others/yishen.png" alt="" />' +
				'</div>' +
				'<div class="remind_text">' +
				'<div>' + p.user_realname + '登记特殊事件</div>'
			if(p.event == null) {
				abnormals += '<p class="hidden_msg">特殊事件为：无</p>'
			} else {
				abnormals += '<p class="hidden_msg">特殊事件为：' + p.content + '</p>'
			}
			abnormals += '<label>' + getMydate4(p.create_time) + '</label>' +
				'</div>' +
				'</div>' +
				'</a>' +
				'<div class="clearfix"></div>' +
				'</li>'
			abnormals2 += abnormals;
		}
		if(page > 0) {
			$('#item2 .content1').append(abnormals2);
		} else {
			$('#item2 .content1').html(abnormals2);
		}
	}
}