//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	// 加载草稿数据
	var sfr_dispose = localStorage.getItem("sfr_dispose");
	//如果缓存中有数据，则加载出来
	if(sfr_dispose != null) {
		$('#dispose').val(sfr_dispose);
	}
	findEvent();
	findStaff();
	findLane();
	$(".submit_btn").on("tap", function() {
		submitBtn();
	})
});

//提交
function submitBtn() {
	//收费员
	var select_staff = $("#select_staff").val();
	console.log(select_staff);
	//车道号
	var select_lane = $("#select_lane").val();
	console.log(select_lane);
	//事件异常情况
	var connect_item = $("#connect_item").combotree('getValue');
	console.log(connect_item);
	//处理情况
	var dispose = $("#dispose").val();
	console.log(dispose);
	//车辆记录,JSON数组[car_num:车牌，car_type:车类型，car_category:车型]
	var vehicle_records = [];
	$(".add_cars").each(function(i, o) {
		var car_num = $(o).find(".car_num").val();
		var car_category = $(o).find(".font-blue").text();
		var car_type = $(o).find("[name = 'car_type']").val();
		console.log(car_num + "  " + car_category + "   " + car_type);
		vehicle_records[i] = car_category + car_type + ":" + car_num
	})

	//提交
	var _url = getHostIP() + 'tsis-api/event/SceneEventEmergencysRegister';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		timeout: ajax_timeout,
		data: {
			toll_user_id: select_staff,
			roadway: select_lane,
			event: connect_item,
			dispose: dispose,
			vehicle_records: JSON.stringify(vehicle_records),
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				mui.toast("提交成功");
				DeleteStorage('sfr_dispose');
				mui.back();
			} else if(data.code == 40001) {
				mui.toast("请填写完整信息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//查询所有异常事件
function findEvent() {
	var _url = getHostIP() + 'tsis-api/event/showSceneEventUnusedict';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				showEvent(data.data)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//异常事件
function showEvent(data) {
	$('#connect_item').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: false,
		animate: true,
		labelPosition: 'top',
		onBeforeSelect: function(node) {
			if(node.children) { //先封装成一个tree		
				var t = $('#connect_item').combotree('tree');
				//然后使用toggle		
				t.tree('toggle', node.target); //注意和下一行的顺序		
				t.tree("unselect"); //判断node节点下是不是有childred？ 有：点击的是一个父级菜单	
				return;
			}
		},
		data: data,

		onCheck: function(node, checked) {
			//让全选不显示
			$("#connect_item").combotree("setText", $("#connect_item").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#connect_item").combotree("setText", $("#connect_item").combobox("getText").toString().replace("全选,", ""));
		}
	});
}

//查询收费员
function findStaff() {
	var _url = getHostIP() + 'tsis-api/user/getUserTeams';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				var select_staff = '<option value="0">请选择收费员</option>';
				for(var i in data.data) {
					select_staff += '<option value="' + data.data[i].id + '">' + data.data[i].user_realname + '</option>'
				}
				$("#select_staff").html(select_staff);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//查询车道号
function findLane() {
	var _url = getHostIP() + 'tsis-api/lane/getLaneForStation';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				var select_lane = '<option value="0">请选择车道号</option>';
				for(var i in data.data) {
					select_lane += '<option value="' + data.data[i].id + '">' + data.data[i].lane_num + '</option>'
				}
				$("#select_lane").html(select_lane);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}