mui.init({
	beforeback: function() {
		//获得列表界面的webview  
		var list = plus.webview.currentWebview().opener();
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑  
		return true;
	},
	pullRefresh: {
		container: ".mui-content", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			color: '#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
			height: '50px', //可选,默认50px.下拉刷新控件的高度,
			range: '100px', //可选 默认100px,控件可下拉拖拽的范围
			offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
			auto: false, //可选,默认false.首次加载自动上拉刷新一次
			callback: showdown //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: false, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: showup //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	},
});

var pageNum = 0;
var netflag = mystorage.get("netflag");

function showdown() {
	if(netflag.net == true) {
		console.log("下拉刷新"); //这里用来写逻辑，从服务器上获取最新数据并更新
		findWb(0, 0);
		findWb(1, 0);
		pageNum = 0;
		mui('.mui-content').pullRefresh().endPulldownToRefresh(); //下拉刷新结束之后。回到顶部
	} else {
		mui.toast(nonet);
		mui('.mui-content').pullRefresh().endPulldownToRefresh();
	}
}

function showup() {
	if(netflag.net == true) {
		console.log("上拉加载"); //这里用来写逻辑，从服务器上获取最新数据并更新
		pageNum++;
		console.log("查询第" + pageNum + "页")
		findWb(0, pageNum);
		findWb(1, pageNum);
		this.endPullupToRefresh();
	} else {
		mui.toast(nonet);
		this.endPullupToRefresh();
	}
}

mui.plusReady(function(obj) {
	console.log("[work_before_check.app] [plusReady] ...");
});

mui.plusReady(function() {
	//加载本地存储的数据
	getLocalStorage();
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//展示
		findWb(0, 0);
		findWb(1, 0);
	}
})

//展示所有未审批的数据
function findWb(mark, page) {
	var _url = getHostIP() + 'tsis-api/postcheck/showPostcheck';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			mark: mark,
			page: page,
		},
		success: function(data) {
			//			console.log(JSON.stringify(data.data));
			if(data.code == 200) {
				showList(mark, page, data.data);
				if(page == 0) {
					mystorage.set("postchecklist" + mark, data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}

		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。')
		}
	})
}

//加载本地数据
function getLocalStorage() {
	var data = mystorage.get('postchecklist0');
	if(data != null) {
		showList(0, 0, data);
	}
	data = mystorage.get('postchecklist1');
	if(data != null) {
		showList(1, 0, data);
	}
}

//显示列表
function showList(mark, page, data) {
	if(data.length == 0) {
		return;
	}
	var html = "";
	for(var i in data) {
		console.log(JSON.stringify(data[i]));
		var p = data[i];
		//console.log(p.appearance)
		html += '<li class="mt10">' +
			'<a href="work_before_check_detail.html?id=' + p.create_user_id + '&mark=' + mark + '&time=' + p.create_time + '">' +
			'<div class="remind_box">' +
			'<div class="common_img">'
		if(mark == 0) {
			html += '<img src="../images/others/waitshen.png" alt="" />'
		} else if(mark == 1) {
			html += '<img src="../images/others/yishen.png" alt="" />'
		}
		html += '</div>' +
			'<div class="remind_text">' +
			'<div>' + p.duty_type + '登记岗前稽查</div>'
		if(p.carry == 0) {
			html += '<p class="hidden_msg">未携带违禁物品</p>'
		} else if(p.carry == 1) {
			html += '<p class="hidden_msg">携带违禁物品</p>'
		}
		html += '<label>' + getMydate4(p.create_time) + '</label>' +
			'</div>' +
			'</div>' +
			'</a>' +
			'<div class="clearfix"></div>' +
			'</li>'
	}
	if(mark == 0) {
		if(page > 0) {
			$('#item1 .remind_list_content').append(html);
		} else {
			$('#item1 .remind_list_content').html(html);
		}
	} else {
		if(page > 0) {
			$('#item2 .remind_list_content').append(html);
		} else {
			$('#item2 .remind_list_content').html(html);
		}
	}
}